Skip to main content
POST
/
announcements
cURL
curl --request POST \
  --url https://admin.fanfare.io/api/announcements \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "content": "<string>",
  "experienceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "includeAudience": true,
  "includeWaitlist": true,
  "timeZone": "<string>",
  "title": "<string>"
}
'
{
  "archived": true,
  "content": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "createdBy": "<string>",
  "experienceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "includeAudience": true,
  "includeWaitlist": true,
  "organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "timeZone": "<string>",
  "title": "<string>",
  "creativeDesignId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "creativeDocument": {
    "body": {},
    "editor": "<string>",
    "schemaVersion": 2,
    "themeOverrides": {
      "background": "<string>",
      "danger": "<string>",
      "fontFamily": "<string>",
      "fontHeading": "<string>",
      "headerImageUrl": "<string>",
      "logoUrl": "<string>",
      "muted": "<string>",
      "primary": "<string>",
      "secondary": "<string>",
      "success": "<string>",
      "surface": "<string>",
      "text": "<string>",
      "warning": "<string>"
    }
  },
  "creativeTemplateKey": "<string>",
  "imageUrl": "<string>",
  "link": "<string>",
  "metadata": {
    "email": {
      "fromEmail": "[email protected]",
      "replyToEmail": "[email protected]",
      "fromName": "<string>",
      "replyToName": "<string>"
    }
  },
  "offsetSeconds": 123,
  "scheduledAt": "2023-11-07T05:31:56Z",
  "sequenceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "shortContent": "<string>",
  "templateData": {},
  "timingStrategy": "POINT_IN_TIME",
  "updatedAt": "2023-11-07T05:31:56Z",
  "updatedBy": "<string>"
}

Authorizations

Authorization
string
header
required

Fanfare secret key. Keep secret credentials on your server.

Body

application/json
content
string
required
experienceId
string<uuid>
required
includeAudience
boolean
required
includeWaitlist
boolean
required
timeZone
string
required
title
string
required
type
enum<string>
required
Available options:
EMAIL,
SMS,
FACEBOOK,
X,
INSTAGRAM,
LINKEDIN,
TIKTOK,
YOUTUBE
anchorPoint
enum<string> | null
Available options:
DISTRIBUTION_OPEN,
DISTRIBUTION_CLOSE,
DRAW_TIME,
AUCTION_SETTLE,
EXPERIENCE_START,
EXPERIENCE_END
creativeDesignId
string<uuid> | null
creativeDocument
object | null
creativeTemplateKey
string | null
imageUrl
string | null
metadata
object | null
offsetSeconds
number | null
scheduledAt
string | null
sequenceId
string<uuid> | null
shortContent
string | null
templateData
object | null
timingStrategy
enum<string>
Available options:
POINT_IN_TIME,
RELATIVE

Response

Announcement created successfully

archived
boolean
required
content
string
required
Minimum string length: 1
createdAt
string<date-time>
required
createdBy
string
required
experienceId
string<uuid>
required
id
string<uuid>
required
includeAudience
boolean
required
includeWaitlist
boolean
required
organizationId
string<uuid>
required
timeZone
string
required
Minimum string length: 1
title
string
required
Minimum string length: 1
type
enum<string>
required
Available options:
EMAIL,
SMS,
FACEBOOK,
X,
INSTAGRAM,
LINKEDIN,
TIKTOK,
YOUTUBE
anchorPoint
enum<string> | null
Available options:
DISTRIBUTION_OPEN,
DISTRIBUTION_CLOSE,
DRAW_TIME,
AUCTION_SETTLE,
EXPERIENCE_START,
EXPERIENCE_END
creativeDesignId
string<uuid> | null
creativeDocument
object | null
creativeTemplateKey
string | null
imageUrl
string<uri> | null
metadata
object | null
offsetSeconds
number | null
scheduledAt
string<date-time> | null
sequenceId
string<uuid> | null
shortContent
string | null
templateData
object | null
timingStrategy
enum<string>
default:POINT_IN_TIME
Available options:
POINT_IN_TIME,
RELATIVE
updatedAt
string<date-time> | null
updatedBy
string | null